## dde-calendar 5.14.5

=== debian/changelog ===
dde-calendar (5.14.5) unstable; urgency=medium

  * fix: sidebar calendar widget(Issue: https://github.com/linuxdeepin/developer-center/issues/10343)
  * feat: Execute reload after changing systemd(Issue: https://github.com/linuxdeepin/developer-center/issues/10093)
  * fix: remind widget display position(Issue: https://github.com/linuxdeepin/developer-center/issues/10341)

 -- myml <wurongjie@deepin.org>  Wed, 14 Aug 2024 16:37:30 +0800

dde-calendar (5.14.4) unstable; urgency=medium

  * feat: Unable to set timer reminder in Linglong environment

 -- myml <wurongjie@deepin.org>  Thu, 08 Aug 2024 11:29:59 +0800

dde-calendar (5.14.3) unstable; urgency=medium

  * fix: dialog window display position error(Issue: https://github.com/linuxdeepin/developer-center/issues/10141)

 -- myml <wurongjie@deepin.org>  Mon, 05 Aug 2024 14:16:16 +0800

dde-calendar (5.14.2) unstable; urgency=medium

  * chore: dbus activation adapt to AM(Issue: https://github.com/linuxdeepin/developer-center/issues/9742)
  * fix: cloud sync being unavailable at startup

 -- myml <wurongjie@deepin.org>  Fri, 26 Jul 2024 13:14:34 +0800

dde-calendar (5.14.1) unstable; urgency=medium

  * fix: cloud sync dbus error

 -- myml <wurongjie@deepin.org>  Mon, 22 Jul 2024 10:41:23 +0800

dde-calendar (5.14.0) unstable; urgency=medium

  * fix: build error in uos system
  * fix: problem of not displaying the floating frame
  * chore(CI): add debian check workflow
    Thanks to kuchune
  * feat: Delayed start of service

 -- myml <wurongjie@deepin.org>  Fri, 19 Jul 2024 14:21:37 +0800

dde-calendar (5.13.1) unstable; urgency=medium

  * fix: install deb package error(Issue: https://github.com/linuxdeepin/developer-center/issues/7763)

 -- myml <wurongjie@deepin.org>  Tue, 09 Apr 2024 11:41:53 +0800

dde-calendar (5.13.0) unstable; urgency=medium

  * feat: add metainfo of dde
  * Reapply "feat: get general settings from Control Center"
  * Reapply "chore: update translations"
  * feat: add docs files
  * feat: follow system config
  * chore: update translations
  * chore: update reuse
  * chore: typo
  * feat: auto update holiday data
  * feat: get system setting from dbus
  * feat: enable cloud sync

 -- myml <wurongjie@deepin.org>  Thu, 07 Mar 2024 13:54:33 +0800

dde-calendar (5.12.1) unstable; urgency=medium

  * fix: Unable sync schedule based on cloud sync
  * feat: keep the json struct of getFestivalMonth

 -- myml <wurongjie@deepin.org> Fri, 12 Jan 2024 17:47:37 +0800

dde-calendar (5.12.0) unstable; urgency=medium

  * feat: add deepin-log config
  * feat: Supplement the holidays for the year 2024
  * feat: Optimize holiday query, change the return type to QJsonArray

 -- myml <wurongjie@deepin.org> Thu, 28 Dec 2023 10:23:56 +0800

dde-calendar (5.11.1) unstable; urgency=medium

  * fix: remove unused dframeworkdbus
    Thanks to Felix Yan
  * chore: correct typos in en_US docs
    Thanks to Felix Yan
  * feat: hide account login in community version(Issue: https://github.com/linuxdeepin/developer-center/issues/5912)

 -- myml <wurongjie@deepin.org>  Tue, 12 Dec 2023 13:25:42 +0800

dde-calendar (5.11.0) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * feat: support for import ics file(Issue: https://github.com/linuxdeepin/developer-center/issues/5018)
  * feat: support for export ics file(Issue: https://github.com/linuxdeepin/developer-center/issues/5018)
  * feat: simplify the import process

 -- myml <wurongjie@deepin.org>  Thu, 27 Jul 2023 14:17:10 +0800

dde-calendar (5.10.1) unstable; urgency=medium

  * fix: remove illegal gcc option
    Thanks to rewine
  * chore(CI): Update obs tag build workflow
  * feat: avoid use hardcode path
    Thanks to rewine
  * fix: use imcomplete class QDesktopWidget
  * feat: Remove caller checks for Huangli dbus interface

 -- myml <wurongjie@deepin.org>  Mon, 24 Jul 2023 14:30:45 +0800

dde-calendar (5.10.0) unstable; urgency=medium

  * chore: deepin system does not support calendar sync
  * chore: correct a typo in CMakeLists.txt

 -- myml <wurongjie@deepin.org>  Thu, 6 Apr 2023 11:43:00 +0800
