=== calendar-common/CMakeLists.txt ===
--- 
+++ 
@@ -19,9 +19,15 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
 aux_source_directory(src BASESTRUCT_SRCS)
 aux_source_directory(src/huangliData BASESTRUCT_SRCS_HUANGLI)
+aux_source_directory(src/lunarandfestival BASESTRUCT_SRCS_NONGLI)
+aux_source_directory(src/pinyin BASESTRUCT_SRCS_PINYIN)
 link_libraries(${Qt5CORE_LIBRARIES} ${Qt5DBus_LIBRARIES})
 
-add_library(${PROJECT_NAME} STATIC ${BASESTRUCT_SRCS} ${BASESTRUCT_SRCS_HUANGLI})
+add_library(${PROJECT_NAME} STATIC ${BASESTRUCT_SRCS}
+    ${BASESTRUCT_SRCS_HUANGLI}
+    ${BASESTRUCT_SRCS_NONGLI}
+    ${BASESTRUCT_SRCS_PINYIN}
+)
 target_include_directories(${PROJECT_NAME} PUBLIC ../3rdparty/kcalendarcore/src)
 
 target_link_libraries(${PROJECT_NAME}
