=== tests/dde-calendar-client-test/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,6 @@
 find_package(Qt5Svg REQUIRED)
 find_package(DtkWidget REQUIRED)
 find_package(DtkGui REQUIRED)
-find_package(DFrameworkdbus REQUIRED)
 find_package(GTest REQUIRED)
 find_package(Qt5Test REQUIRED)
 
@@ -40,7 +39,7 @@
 include_directories(${APP_3PARTY_DIR}/src)
 SUBDIRLIST(all_src ${APP_3PARTY_DIR}/src)
 
-#Include all app own subdirectorys
+#Include all app own subdirectories
 foreach(subdir ${all_src})
     include_directories(${APP_CLIENT_DIR}/src/${subdir})
     include_directories(${APP_COMMON_DIR}/src/${subdir})
@@ -79,7 +78,6 @@
     ${Qt5Widgets_LIBRARIES}
     ${Qt5Svg_LIBRARIES}
     ${Qt5DBus_LIBRARIES}
-    ${DFrameworkdbus_LIBRARIES}
     ${GTEST_LIBRARIES}
     ${GTEST_MAIN_LIBRARIES}
     Qt5::Test
