=== debian/changelog ===
dde-calendar (5.14.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Feb 2025 20:22:14 -0500
