=== debian/control ===
Source: dde-calendar
Section: utils
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
 Yanhao Mo <yanhaocs@gmail.com>,
 Arun Kumar Pariyar <openarungeek@gmail.com>,
 Clay Stan <claystan97@gmail.com>,
 Hu Feng <hufeng@uniontech.com>,
Build-Depends:
 debhelper-compat (= 13),
 cmake (>= 3.7),
 deepin-gettext-tools,
 libdframeworkdbus-dev (>= 6),
 libdtkgui-dev (>= 5.7.6),
 libdtkwidget-dev (>= 5.7.6),
 libgcrypt20-dev,
 libgtest-dev,
 libical-dev,
 libqt5svg5-dev,
 pkgconf,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/linuxdeepin/dde-calendar
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-calendar.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-calendar

Package: dde-calendar
Architecture: linux-any
Depends:
 dde-qt5integration,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 dde-api,
Provides:
 deepin-calendar,
Description: Deepin Calendar
 Deepin Calendar is an easy calendar tool developed by Deepin Technology, main
 features current date, solar terms, lunar calendar and world holidays.
 .
 This package is part of DDE (Deepin Desktop Environment).
