=== debian/changelog ===
dde-calendar (6.5.8) unstable; urgency=medium

  * fix cloud synchronization (bug 311911).

 -- muyuankai <muyuankai@uniontech.com>  Tue, 13 May 2025 16:26:10 +0800

dde-calendar (6.5.7) unstable; urgency=medium

  * crash fix (bug 303095 313675).

 -- muyuankai <muyuankai@uniontech.com>  Thu, 08 May 2025 15:12:35 +0800

dde-calendar (6.5.6) unstable; urgency=medium

  * feat: enhance holiday data handling and add 2024/2025 holiday JSON files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 22 Apr 2025 15:02:42 +0800

dde-calendar (6.5.5) unstable; urgency=medium

  * fix: crash caused by repeatedly deleting the
         same schedule data (Bug: 303095)

 -- renbin <renbin@uniontech.com>  Wed, 16 Apr 2025 15:35:34 +0800

dde-calendar (6.5.4) unstable; urgency=medium

  * fix: Fix some UI issues (#228)(Bug: 304001)

 -- renbin <renbin@uniontech.com>  Thu, 06 Mar 2025 19:50:56 +0800

dde-calendar (6.5.3) unstable; urgency=medium

  * chore: New version 6.5.3.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 28 Feb 2025 10:46:43 +0800

dde-calendar (6.5.2) unstable; urgency=medium

  * New version 6.5.2
  * Update linglong base to 25.0.0.

 -- re2zero <yangwu@uniontech.com>  Tue, 11 Feb 2025 16:32:35 +0800

dde-calendar (6.5.1) unstable; urgency=medium

  * Update version to 6.5.1

 -- wangrong <wangrong@uniontech.com>  Wed, 22 Jan 2025 13:43:31 +0800

dde-calendar (6.5.0) unstable; urgency=medium

  * feat: Qt5 to Qt6 Migration
  * fix: missing translation files
  * chore: add ControlCenter DBus adaptor (#213)
  * feat: Add files generated by qdbusXML2cpp and DCONG2cpp

 -- renbin <renbin@uniontech.com>  Mon, 20 Jan 2025 10:50:33 +0800

dde-calendar (5.14.13) unstable; urgency=medium

  * Update version to 5.14.13

 -- renbin <renbin@uniontech.com>  Fri, 27 Dec 2024 16:24:07 +0800

dde-calendar (5.14.12) unstable; urgency=medium

  * Update version to 5.14.12

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 14 Dec 2024 15:03:16 +0800

dde-calendar (5.14.11) unstable; urgency=medium

  * Update version to 5.14.11

 -- renbin <renbin@uniontech.com>  Sat, 30 Nov 2024 18:21:11 +0800

dde-calendar (5.14.10) unstable; urgency=medium

  * chore: Update linglong build script.

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 30 Nov 2024 14:08:37 +0800

dde-calendar (5.14.9) UNRELEASED; urgency=medium

  [ transifex-integration[bot] ]
  * i18n: Translate dde-calendar_en_US.ts in ro
  * i18n: Translate dde-calendar-service_en_US.ts in ro
  * i18n: Translate dde-calendar_en_US.ts in sq
  * i18n: Translate dde-calendar-service_en_US.ts in sq
  * i18n: Translate dde-calendar-service_en_US.ts in zh_CN
  * i18n: Removing dde-calendar-service_en_US.ts in zh_CN

  [ myml ]
  * feat: cweekwidget uses locale to replace tr

 -- myml <wurongjie@deepin.org>  Sun, 29 Sep 2024 15:42:47 +0800

dde-calendar (5.14.8) unstable; urgency=medium

  * chore: Update linglong build script.

 -- wangrong <wangrong@uniontech.com>  Sat, 19 Oct 2024 15:18:45 +0800

dde-calendar (5.14.7) unstable; urgency=medium

  * chore: linglong package slimming.

 -- wangrong <wangrong@uniontech.com>  Fri, 18 Oct 2024 10:33:09 +0800
