=== debian/changelog ===
dde-calendar (6.5.12) unstable; urgency=medium

  * chore: New version 6.5.12.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 27 Jun 2025 17:51:04 +0800

dde-calendar (6.5.11) unstable; urgency=medium

  * chore: New version 6.5.11.

 -- re2zero <yangwu@uniontech.com>  Tue, 24 Jun 2025 17:23:45 +0800

dde-calendar (6.5.10) unstable; urgency=medium

  * chore: New version 6.5.10.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 12:07:47 +0800

dde-calendar (6.5.9) unstable; urgency=medium

  * chore: Update dman's resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 19 Jun 2025 13:52:14 +0800
