## dde-calendar 6.5.16

=== debian/changelog ===
dde-calendar (6.5.16) unstable; urgency=medium

  * chore: More logs for common
  * Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 16 Jul 2025 09:28:22 +0800

dde-calendar (6.5.15) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 09 Jul 2025 16:13:48 +0800

dde-calendar (6.5.14) unstable; urgency=medium

  * chore: Update deb sources for linglong yaml

 -- wangrong <wangrong@uniontech.com>  Wed, 02 Jul 2025 11:19:32 +0800

dde-calendar (6.5.13) unstable; urgency=medium

  * update version 6.5.13. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Tue, 01 Jul 2025 21:28:30 +0800
