=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 %:
 	dh $@
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	-DCMAKE_BUILD_TYPE=Release \
